.videos-list-page,
.video-detail-page{
    padding: 2rem;
}

.grid-view{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 3rem;
    width: 100%;
}

.item p {
    margin-top: 0.5rem;
    font-size: 16px;
    line-height: 1.5rem;
    font-weight: bold;
}
.item{
    max-width: 320px;
}
.item img{
    width: 100%;
    height: auto;
}
.video-player{
    margin-bottom: 38px;
}
.video-player iframe{
    width: 100%;
    height: 50vh;
}
.video-detail-page p{
    line-height: 1.75;
    font-size: 16px;
}
.video-stats{
    display: flex;
    justify-content: space-between;
    margin-top: 0.5rem;
}
.video-title{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}
.filters-actions{
    width: 100%;
    display: flex;
    gap: 1rem;
    text-decoration: none;
    margin-bottom: 1rem;
}
.filter{
    background-color: #2b2b2b;
    color: white;
    border-radius: 5px;
    padding: 12px 18px;
    cursor: pointer;
}
.filter.selected{
    background-color: #ffd200;
    color: black;
}
#loading{
    margin: 1rem auto;
    display: block;
    background: url(../images/fav-loading.gif) no-repeat;
    background-size: cover;
    width: 45px;
    height: 45px;
}

@media screen and (max-width: 1024px) {
    .video-player{
        width: 56%;
        margin: 38px auto;
    }
}
@media screen and (max-width: 430px){
    .video-detail-page{
        padding: 0;
    }
    .video-player iframe {
        height: 30vh;
    }
    .video-player {
        width: 100%;
    }
}